package com.example.blum.rgb_seekbars_2;

import android.graphics.Color;
import android.support.constraint.ConstraintLayout;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.Layout;
import android.widget.SeekBar;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {


    TextView tvColor;
    int[] mycolor = {255,0,0};
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        for(int i=0; i<=2; i++) {
            String myID = "sb_" + i;

            int resID = getResources().getIdentifier(myID, "id", getPackageName());
            SeekBar mySeekBar = (SeekBar) findViewById(resID);
            mySeekBar.setOnSeekBarChangeListener(myListener);

            myID = "tv_" + i;
            resID = getResources().getIdentifier(myID, "id", getPackageName());
        }
        tvColor = (TextView) findViewById(R.id.tvColor);
    }//end onCreate


    SeekBar.OnSeekBarChangeListener myListener = new SeekBar.OnSeekBarChangeListener() {
        @Override
        public void onProgressChanged(SeekBar seekBar, int i, boolean b) {
            //get the seekbar's parent which is the constraint lauyout
            ConstraintLayout myLayout = (ConstraintLayout) seekBar.getParent();
            //get the seekbar's index with the layout
            int myIndex = myLayout.indexOfChild(seekBar);
            //get the child with the next index which is a TextView
            TextView myTextView = (TextView) myLayout.getChildAt(myIndex+1);
            //display the progress in that TextView
            myTextView.setText(""+i);

            for(int j=0; j<=2; j++) {
                String myID = "tv_" + j;

                int resID = getResources().getIdentifier(myID, "id", getPackageName());
                myTextView = (TextView) findViewById(resID);
                mycolor[j] = Integer.parseInt(myTextView.getText().toString());
            }

            tvColor.setBackgroundColor(Color.argb(255,
                    mycolor[0], mycolor[1], mycolor[2]));

            /*
            // getId() gets a number and not what you called id in the layout xml
            // that's a resource
            String sb_name = getResources().getResourceEntryName(seekBar.getId());
            // my resources looked like sb_0, sb_1, sb_2
            String[] parts = sb_name.split("_");

            String tv_name = "tv_" + parts[parts.length-1];
            mycolor[Integer.parseInt(parts[parts.length-1])]=i;

            int resId = getResources().getIdentifier(tv_name, "id", getPackageName());
            TextView my_tv  = (TextView) findViewById(resId);
            my_tv.setText(""+i);

            tvColor.setBackgroundColor(Color.argb(255, mycolor[0], mycolor[1], mycolor[2]));
            */
        }

        @Override
        public void onStartTrackingTouch(SeekBar seekBar) {

        }

        @Override
        public void onStopTrackingTouch(SeekBar seekBar) {
            //String sb_name = getResources().getResourceEntryName(seekBar.getId());
            //Toast.makeText(getApplicationContext(), sb_name, Toast.LENGTH_LONG).show();
        }
    };


}//end MainActivity
